<?php
namespace Claromentis\Gallery\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_7f4bab7268c708fce" . "91f28cff921fb7e" => base64_decode("YXBwX2dh" . "bGxlcnk="), "_0c5123aa744f69bbc0e8b3ea2f" . "6e847d" => base64_decode("bG1zZw" . "=="), "_99cb7d6393" . "e8f6b8b9eff" . "fb220b7f444" => base64_decode("bWVudS5hcHAuZ2FsbGVye" . "Q=="), "_ab9bcf0e2fd" . "858c1730f355" . "33e9491e9" => base64_decode("Z2FsbGVyeV9pbW" . "FnZQ=="), "_bcae22e258f1cb3c447947b395d" . "2e5f9" => base64_decode("Z2Fsb" . "GVyeV" . "9nYWx" . "sZXJ5"));
use Claromentis\Gallery\GalleryApplication as GalleryGalleryApplication;
use Claromentis\Gallery\Search\GallerySearchGallery;
use Claromentis\Gallery\Search\GallerySearchImage;
use Claromentis\Search\Application\ApplicationInterface;
use Claromentis\Search\Application\CacheableInterface;
use Claromentis\Search\Application\IconInterface;




class GalleryApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    
    
    
    
    
    
    
    
    public function GetTypes()
    {
        $_343a395319323dd7609bcbc465b4d034 = [$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bcae22e258f1cb3c447947b" . "395d2e5f9"] => function () {
            return new GallerySearchGallery();
        }, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_ab9bcf0e2fd858c17" . "30f35533e9491e9"] => function () {
            return new GallerySearchImage();
        }];
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_99cb7d6393e8f6b8b9efffb220b7f44" . "4"]);
    }
    
    
    
    
    
    
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7f4bab726" . "8c708fce91" . "f28cff921f" . "b7e"];
    }
    public function GetIcon() : string
    {
        return GalleryGalleryApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bcae22e258f1cb3c447947b395d" . "2e5f9"]];
    }
}